ifeq ($(origin  CC), default)
  ifeq ($(origin DRV), undefined)
    export CC=/bgsys/drivers/ppcfloor/comm/xl.legacy.ndebug/bin/mpixlc
  else
    export CC=/bgsys/drivers/${DRV}/ppc64/comm/xl.legacy.ndebug/bin/mpixlc
  endif
endif

LD     = $(CC)
FFLAGS = -g 
CFLAGS = -g -O2
DEFS= -D__INLINE__=inline $(BVT) $(PCHECK)
LDFLAGS = $(CFLAGS)
LIBS=${MAINLIBS}
TARGET = bisection
OBJS =  main.o getranks.o

all: grid


%.o : %.c
	$(CC) $(CFLAGS) $(DEFS) -c $<

grid: $(OBJS)
	$(LD) $(LDFLAGS) -o $(TARGET) $(OBJS) $(MPITRACE_LIB) $(LIBS)

clean:
	rm -f $(TARGET) $(OBJS)

